Skip to main content
GET
/
api
/
v1
/
traces
List Traces Endpoint
curl --request GET \
  --url https://platform.composo.ai/api/v1/traces
{
  "traces": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "tags": {},
      "rating": true,
      "trace": {},
      "comments": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "comment": "<string>",
          "created_at": "2023-11-07T05:31:56Z"
        }
      ],
      "evaluations": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "evaluator_name": "<string>",
          "score": 123,
          "explanation": "<string>",
          "sub_trace": {}
        }
      ]
    }
  ],
  "next_page_token": "<string>"
}

Query Parameters

page_token
string | null
page_size
integer
default:50
Required range: 1 <= x <= 500
start_date
string<date-time> | null

Filter traces created at or after this datetime (ISO format)

end_date
string<date-time> | null

Filter traces created at or before this datetime (ISO format)

Response

Successful Response

traces
TraceResponse · object[]
required
next_page_token
string | null
required